Simplici Docs

KYB - Basic

KYB (Know Your Business) basic verification API documentation

KYB Reports API

Before making requests to the KYB API, you need to generate an access token. Follow the guide provided in the Getting Started section of our documentation to generate an access token.

Overview

The Simplici KYB (Know Your Business) Reports API v2 is used to verify and assess the risk of businesses by using the provided business information and the authorized representative’s information.

Endpoint

https://api.satschel.com/v2/kyb/entity

Sandbox Endpoint

https://api.beta.satschel.com/v2/kyb/entity

Method

POST

Request Headers

  • Content-Type: application/json
  • Authorization: Bearer YOUR_ACCESS_TOKEN.

Request Body

Below is an example of the JSON payload you should send in the HTTP body:

{
    "callbackUrl": "https://yourcallbackurl.com",
    "companyName": "YourCompanyName",
    "website": "https://yourcompanywebsite.com",
    "companyAddress": {
        "streetAddress1": "Your Street Address",
        "streetAddress2": "Your Suite or Unit Number",
        "city": "Your City",
        "state": "Your State",
        "zip": "Your ZIP Code"
    },
    "phone": "YourPhoneNum",
    "ein": "YourEIN",
    "accountRepresentative": {
        "firstName": "RepFirstName",
        "lastName": "RepLastName",
        "address": {
            "streetAddress1": "Rep Street Address",
            "streetAddress2": "Rep Suite or Unit Number",
            "city": "Rep City",
            "state": "Rep State",
            "zip": "Rep ZIP Code"
        },
        "dateOfBirth": "RepDOB",
        "ssnNumber": "RepSSN",
        "phone": "RepPhoneNum"
    }
}

Direct Response:

Response Example without callback URL

{
    "message": "ok",
    "data": {
        "result": {
            "companyInformation": {
                "companyName": {
                    "value": "SATSCHEL",
                    "isVerified": "1"
                },
                // ... other company information fields ...
                "businessBankruptcy": {
                    "bankruptcy_flag": false,
                    "bankruptcy_records": []
                }
            },
            "authorizedRepresentative": {
                "uniqueId": "3206130349",
                "name": {
                    "first": "BOB",
                    "last": "Tale"
                },
                // ... other authorized representative fields ...
                "verificationScore": {
                    "score": 60,
                    "description": "The input authorized rep's first and last name matches the first and last name of a business contact on record."
                }
            },
            "apiResult": {
                "requestResult": "success",
                "reviewStatus": "pass",
                "riskRating": "neutral"
            }
        },
        "_id": "560b1ea1-79ee-442a-817f-f95a6827c58a"
    }
}

Callback Response

If the callback field is provided in the request, the API will send the KYB report to the provided callback URL as a webhook once the report is ready. In this case, the immediate API response will be as follows:

{
    "message": "ok",
    "data": {
        "_id": "c9895dc8-5bc3-41b2-85df-ab4345cd4289"
    }
}

You can later retrieve the KYB report by making a GET request to https://api.satschel.com/v2/kyb/entity/{Id}.

Sandbox: https://api.beta.satschel.com/v2/kyb/entity/{Id}

If the callback field is not provided, the API will return the KYB report directly in the response.

On this page